textures/hal/hal_tesla3
{
	cull none
	q3map_lightimage textures/sfx/tesla1b.tga	
	q3map_surfacelight 100
	qer_editorimage textures/sfx/teslacoil.tga
	surfaceparm nolightmap
	
	

	{
		map textures/sfx/electricslime2.tga
		blendfunc add
		rgbGen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcMod scroll 1 1
	}



	{
		map textures/sfx/tesla1b.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcMod scroll -2 1
	}
	
}
textures/hal/halzap1
{
	cull none
	q3map_lightimage textures/hal/halzap1lm.tga	
	q3map_surfacelight 150
	qer_editorimage textures/hal/halzap1a.tga

	{
		map $lightmap
		rgbgen identity
		tcgen environment
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

	{
		map textures/hal/halzap1a.tga
		blendfunc blend
		alphafunc GT0
		depthWrite
		rgbgen identity
		tcmod scale 1 .5
		tcMod scroll 4 2
	}
}
textures/hal/halzap2
{
	cull none
	q3map_lightimage textures/hal/halzap2lm.tga	
	q3map_surfacelight 150
	qer_editorimage textures/hal/halzap2a.tga
	
	{
		map $lightmap
		rgbgen identity
		tcgen environment
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

	{
		map textures/hal/halzap2a.tga
		blendfunc blend
		alphafunc GT0
		depthWrite
		rgbgen identity
		tcmod scale 1 .5
		tcMod scroll 4 2
	}
}
textures/hal/monolith
{
	surfaceparm noimpact
	surfaceparm nolightmap
	qer_editorimage textures/hal/totalblack.tga
	{
		map textures/hal/totalblack.tga
	}
}
//for the base themed MA
textures/hal/hal_glass01
{
        surfaceparm trans	
	cull none
	qer_trans 	0.5
	qer_editorimage textures/hal/gleamx.tga
     
        {
		map textures/hal/gleamx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}
textures/hal/hal_ra3screenbig
{
	q3map_lightimage textures/hal/hal_ra3screenbig.tga
        q3map_surfacelight 100


	{
		map textures/hal/hal_ra3screenbig.tga
	        rgbGen wave square 0 1 0 .5
	}

	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}


	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}     
textures/hal/hal_thindark1
{
	

	{
		map textures/hal/hal_chrome1env.jpg
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/hal/hal_thindark1.tga
		blendFunc blend	
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/hal/hal_thindark1eye
{
	
        surfaceparm nomarks
	q3map_surfacelight 300
	q3map_lightimage textures/base_wall/bluemetalsupport2eyel.tga
	{
		map textures/hal/hal_chrome1env.jpg
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/hal/hal_thindark1eye.tga
		blendFunc blend	
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
        {
		map textures/base_wall/bluemetalsupport2eyel.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave triangle .5 .5 0 .5
	}
}
textures/hal/hal_compra3
{
	q3map_lightimage textures/base_wall/comp3env.tga
        q3map_surfacelight 1000
	qer_editorimage textures/base_wall/comp3.jpg
        {
		map textures/hal/hal_scrollra3.jpg
	        rgbGen identity
		tcmod scroll 0 1
	}
	      
        {
		map textures/base_wall/comp3env.tga
                tcGen environment
                blendFunc GL_ONE GL_ONE
                rgbGen wave sin .98 .02 0 5
	}
	
	{
		map $lightmap
                tcGen environment
                blendFunc GL_DST_COLOR GL_ONE
	}


	{
		map textures/base_wall/comp3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
       
	{
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	
}       
textures/hal/hal_bustedcomp
{
        {
		map textures/base_wall/comp3env.tga
	        rgbGen identity
		tcGen environment
	}
	      
        {
		map $lightmap
                tcGen environment
                blendFunc GL_ONE GL_ONE
	}

	{
		map textures/hal/hal_bustedcomp.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}
textures/hal/hal_grayfog
{
qer_editorimage textures/sfx/fog_timdm1.tga
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap

fogparms ( 0.7 0.7 0.7 ) 512
}
textures/hal/hal_teslafix
{
	cull none
	q3map_lightimage textures/sfx/tesla1.tga	
	q3map_surfacelight 100

	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	
	{
		map textures/sfx/tesla1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcMod scroll -1 -1
	}
 
	
	
	{
		map textures/sfx/electricslime.tga
		blendfunc add
		rgbgen wave sin 0 .5 0 1
		tcmod scale .5 .5
		tcmod turb 0 .1 0 1
		tcmod rotate 180
		tcmod scroll -1 -1
	}

	{
		map textures/sfx/cabletest2.tga
		blendfunc blend
	}

	
}
textures/hal/hal_floorlogo2
{
	surfaceparm	metalsteps		

	// metal that makes metalsteps sound
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hal/hal_floorlogo2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}


}
textures/hal/hal_arena1screen
{

	surfaceparm nodamage
	q3map_surfacelight 200
	qer_editorimage textures/hal/hal_arena1screenb.tga
	
	{
		map textures/hal/hal_arena1screen.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	
	{
		animMap 2 textures/hal/hal_arena1screen.tga textures/hal/hal_arena1screenb.tga textures/hal/hal_arena1screenb.tga textures/hal/hal_arena1screen.tga textures/hal/hal_arena1screen.tga textures/hal/hal_arena1screenc.tga textures/hal/hal_arena1screenc.tga  
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}
		
}
textures/hal/hal_arena2screen
{

	surfaceparm nodamage
	q3map_surfacelight 200
	qer_editorimage textures/hal/hal_arena2screenb.tga
	
	{
		map textures/hal/hal_arena1screen.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	
	{
		animMap 2 textures/hal/hal_arena1screen.tga textures/hal/hal_arena2screenb.tga textures/hal/hal_arena2screenb.tga textures/hal/hal_arena1screen.tga textures/hal/hal_arena1screen.tga textures/hal/hal_arena2screenc.tga textures/hal/hal_arena2screenc.tga  
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}
		
}
textures/hal/hal_arena3screen
{

	surfaceparm nodamage
	q3map_surfacelight 200
	qer_editorimage textures/hal/hal_arena3screenb.tga
	
	{
		map textures/hal/hal_arena1screen.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	
	{
		animMap 2 textures/hal/hal_arena1screen.tga textures/hal/hal_arena3screenb.tga textures/hal/hal_arena3screenb.tga textures/hal/hal_arena1screen.tga textures/hal/hal_arena1screen.tga textures/hal/hal_arena3screenc.tga textures/hal/hal_arena3screenc.tga  
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}
		
}
textures/hal/hal_arena4screen
{

	surfaceparm nodamage
	q3map_surfacelight 200
	qer_editorimage textures/hal/hal_arena4screenb.tga
	
	{
		map textures/hal/hal_arena1screen.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	
	{
		animMap 2 textures/hal/hal_arena1screen.tga textures/hal/hal_arena4screenb.tga textures/hal/hal_arena4screenb.tga textures/hal/hal_arena1screen.tga textures/hal/hal_arena1screen.tga textures/hal/hal_arena4screenc.tga textures/hal/hal_arena4screenc.tga  
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}

}

textures/hal/hal_arena5screen
{

	surfaceparm nodamage
	q3map_surfacelight 200
	qer_editorimage textures/hal/hal_arena5screenb.tga
	
	{
		map textures/hal/hal_arena1screen.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	
	{
		animMap 2 textures/hal/hal_arena1screen.tga textures/hal/hal_arena5screenb.tga textures/hal/hal_arena5screenb.tga textures/hal/hal_arena1screen.tga textures/hal/hal_arena1screen.tga textures/hal/hal_arena5screenc.tga textures/hal/hal_arena5screenc.tga  
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}
				
}

textures/hal/hal_ra3rotate
{
	cull none
	q3map_lightimage textures/hal/hal_ra3_logob.tga	
	q3map_surfacelight 150
	qer_editorimage textures/hal/hal_ra3_logob.tga
	
	{
		map $lightmap
		rgbgen identity
		tcgen environment
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

	{
		map textures/hal/hal_ra3_logob.tga
		blendfunc blend
		alphafunc GT0
		depthWrite
		rgbgen identity
	}
}
textures/hal/halblacksky
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 40
	q3map_lightsubdivide 512
	q3map_sun	1 1 1 32	45 90
	{
		map	gfx/colors/black.tga
	}
}
textures/hal/halblacksky_nolite
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightsubdivide 512
	q3map_sun	1 1 1 32	45 90
	{
		map	gfx/colors/black.tga
	}
}
textures/hal/hal_pulse1r
{
	q3map_surfacelight 300
	q3map_lightimage textures/base_trim/border11c_pulse1.tga
	qer_editorimage textures/base_trim/border11c.tga
	
	{
		map textures/base_trim/border11c.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map textures/base_trim/border11c_light.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .1 0 5
	}


	{
		map textures/hal/hal_pulse1r.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0


	}

	
}
textures/hal/redsix
{
	cull none
	q3map_lightimage textures/hal/redsix.tga	
	q3map_surfacelight 150
	qer_editorimage textures/hal/redsix.tga

	{
		map $lightmap
		rgbgen identity
		tcgen environment
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

	{
		map textures/hal/redsix.tga
		blendfunc blend
		alphafunc GT0
		depthWrite
		rgbgen identity
	}
}
